View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013489ParaView(No Category)public2012-10-03 13:102015-01-11 08:33
ReporterSven Buijssen 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.98.0 
Summary0013489: [git/master] CMake Error when enabling both OSMesa and VisItBridge
DescriptionSince
  commit 315df2e43b111209d6633635dee035e1e4ce4fdf
  Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
  Date: Fri Sep 21 16:46:34 2012 -0400

the following

% cmake /path/to/ParaView.git \
      -DPARAVIEW_USE_VISITBRIDGE:BOOL=TRUE \
      -DCMAKE_BUILD_TYPE:STRING=Release \
      -DBUILD_SHARED_LIBS:BOOL=TRUE \
      -DOPENGL_INCLUDE_DIR:STRING=${MESADIR}/7.10.2-osmesa/include \
      -DOPENGL_gl_LIBRARY:STRING= \
      -DOPENGL_glu_LIBRARY=${MESADIR}/7.10.2-osmesa/lib64/libGLU.so \
      -DOSMESA_INCLUDE_DIR:STRING=${MESADIR}/7.10.2-osmesa/include \
      -DOSMESA_LIBRARY:STRING=${MESADIR}/7.10.2-osmesa/lib64/libOSMesa.so \
      -DPARAVIEW_BUILD_QT_GUI:BOOL=FALSE \
      -DVTK_OPENGL_HAS_OSMESA:BOOL=TRUE \
      -DVTK_USE_OFFSCREEN:BOOL=TRUE \
      -DVTK_USE_X:BOOL=FALSE \
      -DBoost_INCLUDE_DIR:PATH=${BOOSTDIR}/1.41/include
fails with

  CMake Error at Utilities/VisItBridge/databases/CMakeLists.txt:99
   (visit_include_reader_source):
    VISIT_INCLUDE_READER_SOURCE Macro invoked with incorrect arguments for
    macro named: VISIT_INCLUDE_READER_SOURCE
TagsNo tags attached.
ProjectTBD
Topic Name13489_visit_bridge_os_mesa
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029320)
Utkarsh Ayachit (administrator)
2012-10-04 14:40

commit 315f8de3befd2ed67a3ef87f788f7d38b292aa2c
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu Oct 4 14:38:46 2012 -0400

    BUG 0013489. Bring in VisItBridge cmake fix.
    
    Change-Id: I002b7b8f770caa034786b2b473d8173c79ae1539


commit 1be2be2a2e154a07814536988ca95cf87d814395
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu Oct 4 14:36:58 2012 -0400

    BUG 0013489. Fixing build issues when OpenGL is not found.
    
    When OPENGL_gl_LIBRARY is not found, OPENGL_GLU_FOUND variable is not set at all
    by FindOpenGL.cmake. That was causing errors indicated in BUG 0013489. This
    overcomes that issue.
(0029336)
Utkarsh Ayachit (administrator)
2012-10-05 10:13

merged into master, if applicable.
(0029412)
Alan Scott (manager)
2012-10-16 20:56

Tested on my build. If I incorrectly closed it, please reopen.

- Issue History
Date Modified Username Field Change
2012-10-03 13:10 Sven Buijssen New Issue
2012-10-04 14:40 Utkarsh Ayachit Topic Name => 13489_visit_bridge_os_mesa
2012-10-04 14:40 Utkarsh Ayachit Note Added: 0029320
2012-10-04 14:40 Utkarsh Ayachit Status backlog => gatekeeper review
2012-10-04 14:40 Utkarsh Ayachit Fixed in Version => git-next
2012-10-04 14:40 Utkarsh Ayachit Resolution open => fixed
2012-10-04 14:40 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-10-05 10:12 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-10-05 10:13 Utkarsh Ayachit Status gatekeeper review => customer review
2012-10-05 10:13 Utkarsh Ayachit Note Added: 0029336
2012-10-16 20:56 Alan Scott Note Added: 0029412
2012-10-16 20:56 Alan Scott Status customer review => closed
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0
2015-01-11 08:32 Utkarsh Ayachit Source_changeset_attached => ParaView master 4d85afdb
2015-01-11 08:33 Utkarsh Ayachit Source_changeset_attached => ParaView master 315f8de3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker